/*
 * JBoss, the OpenSource J2EE webOS
 * 
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.jca.inflowmdb;

import javax.ejb.EJBException;
import javax.ejb.MessageDrivenBean;
import javax.ejb.MessageDrivenContext;

import org.jboss.test.jca.inflow.TestMessage;
import org.jboss.test.jca.inflow.TestMessageListener;

/**
 * A TestMDBMessageListener.
 * 
 * @author <a href="adrian@jboss.com">Adrian Brock</a>
 * @version $Revision: 1.1 $
 */
public class TestMDBMessageListener implements MessageDrivenBean, TestMessageListener
{
   private MessageDrivenContext ctx;
   
   public void deliverMessage(TestMessage message)
   {
      message.acknowledge();
   }

   public void ejbCreate()
   {
   }
   
   public void ejbRemove()
   {
   }

   public void setMessageDrivenContext(MessageDrivenContext ctx)
   {
      this.ctx = ctx;
   }
}
